phpunit的安装
in PHP with 0 条评论

phpunit的安装

in PHP with 0 comment

phpunit的安装

针对这个phpunit真的是整了半天,我也是很无语。执行命令的时候一直报错 Cannot open file "tests/yunke.php"

检测的phpunit是古老的版本

终于花了几个小时时间找到问题所在了

引入

"require-dev": {
"phpunit/phpunit": "6.2"
}

vendor\bin 下可见:

phpunit 、 phpunit.phper

首先进入官网,仔细看教程,window下的安装

QQ截图20181025003457.png

其中,必须配置的两个文件:phpunit 、 phpunit.phper

如果在xampp下,打开xampp\php 删除 phpunit 、 phpunit.phper 这两个文件(老版本)

不是的话,忽略上一个步骤

在C盘下面创建 C:bin 文件,放入刚才的两个文件

在C:bin 下执行phpunit --version 可以查看到版本信息

重要的一个步骤 添加环境变量

我之前一直没搞懂环境变量是什么,就是一个全局的变量,在cmd中执行的时候,可以获取到的参数值,以 key=>value 的形式保存

打开环境变量 ,设置PATH变量参数,将C:bin放进去,如图

配置环境变量.png

配置环境变量2.png

完成后,重新打开cmd命令, 提示通过运行了phpstorm的时候,重启软件。

再次再任意环境下执行phpunit --version就可以查看到当前的版本了

Responses